Highlighted
Contributor
Contributor

Vmware ESXI within Hyper-v (server 2012) networking issue

I am trying to get esxi running within hyper-v and it won't recognize the virtual switch even though I got it setup properly and it works with any other VMs on this system.

http://i.imgur.com/4rCA3.png

Hyper-V-Virtual-Switch-Issue-421.PNG

I only have one NIC but it works fine with other VMs.

189 Replies
Highlighted
Contributor
Contributor

The whole idea is run ESXi in a VM in Azure IaaS, where I cannot use legacy NIC ...

0 Kudos
Highlighted
Immortal
Immortal

I'm not really sure where you are going with this.  Hyper-V doesn't virtualize the hardware-assisted virtualization features of the physical processor, so you would be stuck running 32-bit nested guests with binary translation.  Performance would be terrible.  Moreover, unless you can set your NIC to promiscuous mode, you wouldn't be able to get networking through to your nested VMs.

0 Kudos
Highlighted
Contributor
Contributor

Now that Windows 10 and Server 2016 support nested virtualisation, is anyone working on porting the native hyper-v Network adapter drivers to ESXi so we're not limited to 100mbit on the legacy adapter?

0 Kudos
Highlighted
Contributor
Contributor

having the same problem hope some IT genius get a solution to this problem cheers

0 Kudos
Highlighted
Contributor
Contributor

Hello,

does anyone know how to compile / build the net-tulip driver for ESXi 6.5 or 6.7 ?

According to this article: https://www.v-front.de/2016/11/esxi-65-release-notes-for-free-license.html,

"Legacy and Community network driver compatibility

In KB2147697 VMware declares that all drivers built and certified on ESXi 5.5 and 6.0 are also supported with ESXi 6.5.

Technically even drivers that have been compiled for ESXi 5.1 can still be installed and used on ESXi 6.5. However, drivers that have been compiled for ESXi 5.0 can definitely no longer be installed on ESXi 6.5.

This affects the following drivers from the V-Front Online Depot: net-atl1, net-atl1e, net-r8101, net-8139too, net-skge, net-tulip. They can no longer be installed on and used with ESXi 6.5."

If anyone knows how to make the net-tulip driver compatible with ESXi 6.5 or 6.7, please share the information.

0 Kudos
Highlighted
Enthusiast
Enthusiast

If anyone knows how to make the net-tulip driver compatible with ESXi 7, please share the information. I've tried to make a custom iso image with this driver : https://communities.vmware.com/servlet/JiveServlet/download/2512767-136720/net-tulip-1.1.15-1.x86_64... and ESXi 7 but the Microsoft Hyper-V manager does not include it. I've created the customized iso giving the following commands :

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> dir

    Directory: J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7

Mode                 LastWriteTime         Length Name

----                 -------------         ------ ----

-a----        08/05/2020     18:50      367267840 ESXi-7.0.0-15843807-standard.iso

-a----        10/05/2020     16:54          37555 net-tulip-1.1.15-1-offline_bundle.zip

-a----        06/05/2020     18:46      361169949 VMware-ESXi-7.0.0-15843807-depot.zip

-a----        06/05/2020     18:46      367351808 VMware-VMvisor-Installer-7.0.0-15843807.x86_64-DellEMC_Customized-A00.iso

-a----        06/05/2020     18:47      353995551 VMware-VMvisor-Installer-7.0.0-15843807.x86_64-DellEMC_Customized-A00.zip

-a----        06/05/2020     18:45      367314944 VMware-VMvisor-Installer-7.0.0-15843807.x86_64.iso

-a----        06/05/2020     18:45      408770560 VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020.iso

-a----        06/05/2020     18:46      396435857 VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwareDepot VMware-ESXi-7.0.0-15843807-depot.zip

AVVISO: Please consider joining the VMware Customer Experience Improvement Program, so you can help us make PowerCLI a better product. You can join using the

following command:

Set-PowerCLIConfiguration -Scope User -ParticipateInCEIP $true

VMware's Customer Experience Improvement Program ("CEIP") provides VMware with information that enables VMware to improve its products and services, to fix

problems, and to advise you on how best to deploy and use our products.  As part of the CEIP, VMware collects technical information about your organization’s

use of VMware products and services on a regular basis in association with your organization’s VMware license key(s).  This information does not personally

identify any individual.

For more details: type "help about_ceip" to see the related help article.

To disable this warning and set your preference use the following command and restart PowerShell:

Set-PowerCLIConfiguration -Scope User -ParticipateInCEIP $true or $false.

Depot Url

---------

zip:J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7\VMware-ESXi-7.0.0-15843807-depot.zip?index.xml

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwareDepot net-tulip-1.1.15-1-offline_bundle.zip

Depot Url

---------

zip:J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7\net-tulip-1.1.15-1-offline_bundle.zip?index.xml

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Get-EsxImageProfile|ft Name

Name

----

ESXi-7.0.0-15843807-no-tools

ESXi-7.0.0-15843807-standard

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> New-EsxImageProfile -CloneProfile ESXi-7.0.0-15843807-standard -Name ziomario -Vendor custom

Name                           Vendor          Last Modified   Acceptance Level

----                           ------          -------------   ----------------

ziomario                       custom          16/03/2020 1... PartnerSupported

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwarePackage -Imageprofile ziomario -SoftwarePackage net-tulip -Force

Name                           Vendor          Last Modified   Acceptance Level

----                           ------          -------------   ----------------

ziomario                       custom          10/05/2020 1... PartnerSupported

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Export-EsxImageProfile -ImageProfile ziomario -FilePath C:\ESXi\esxi70-tulip.iso -ExportToIso -Force

AVVISO: The image profile fails validation.  The ISO / Offline Bundle will still be generated but may contain errors and may not boot or be functional.

Errors:

VIB DEC_bootbank_net-tulip_1.1.15-1's acceptance level is community, which is not compliant with the ImageProfile acceptance level partner

VIB DEC_bootbank_net-tulip_1.1.15-1 requires vmkapi_2_1_0_0, but the requirement cannot be satisfied within the ImageProfile.

VIB DEC_bootbank_net-tulip_1.1.15-1 requires com.vmware.driverAPI-9.2.1.0, but the requirement cannot be satisfied within the ImageProfile.

_______________________________________________________________________________

tulip driver blacklisted on the ESXi versions more than 6 ? why ?

Hello to everyone.

I'm still a newbie of the vmware products. But I want to learn. I'm trying to customize a VMware ESXi image adding the tulip driver inside the ESXi-7.0.0-15843807-standard iso image file because I want to install it in a Hyper-V VM. Below are the commands that I gave and the error that I've got.

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwareDepot VMware-ESXi-7.0.0-15843807-depot.zip

Depot Url

---------

zip:J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7\VMware-ESXi-7.0.0-15843807-depot.zip?index.xml

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwareDepot net-tulip-1.1.15-1-offline_bundle.zip

Depot Url

---------

zip:J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7\net-tulip-1.1.15-1-offline_bundle.zip?index.xml

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Get-EsxImageProfile|ft Name

Name

----

ESXi-7.0.0-15843807-no-tools

ESXi-7.0.0-15843807-standard

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> New-EsxImageProfile -CloneProfile ESXi-7.0.0-15843807-standard -Name ziomario -Vendor custom

Name Vendor Last Modified Acceptance Level

---- ------ ------------- ----------------

ziomario custom 16/03/2020 1... PartnerSupported

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Add-EsxSoftwarePackage -Imageprofile ziomario -SoftwarePackage net-tulip -Force

Name Vendor Last Modified Acceptance Level

---- ------ ------------- ----------------

ziomario custom 10/05/2020 1... PartnerSupported

PS J:\Downloads\OS\ESXi\VMware vSphere 7\VMware ESXi 7> Export-EsxImageProfile -ImageProfile ziomario -FilePath C:\ESXi\esxi70-tulip.iso -ExportToIso -Force

The image profile fails validation. The ISO / Offline Bundle will still be generated but may contain errors and may not boot or be functional.

Errors:

VIB DEC_bootbank_net-tulip_1.1.15-1's acceptance level is community, which is not compliant with the ImageProfile acceptance level partner

VIB DEC_bootbank_net-tulip_1.1.15-1 requires vmkapi_2_1_0_0, but the requirement cannot be satisfied within the ImageProfile.

VIB DEC_bootbank_net-tulip_1.1.15-1 requires com.vmware.driverAPI-9.2.1.0, but the requirement cannot be satisfied within the ImageProfile.

I tried to understand why it happens by looking the reasons with google and I found this :

https://communities.vmware.com/thread/619549

The user "Tayfun DEGER" tells :

This is a driver on VMware's black list. So you can't find it and run it. The operation you have already done is not supported.

So,I would like to know why this driver is on the VMware black list and if there is another method to achieve what I want. thanks.

0 Kudos
Highlighted
VMware Employee
VMware Employee

I doubt you will find that for ESXi 7, seeing as it does not support “legacy” or “vmklinux” drivers (only “native” drivers).


Forum Usage Guidelines: https://communities.vmware.com/docs/DOC-12286
VMware Training & Certification blog: http://vmwaretraining.blogspot.com
0 Kudos
Highlighted
Enthusiast
Enthusiast

what are the solutions ?

0 Kudos
Highlighted
VMware Employee
VMware Employee

As per the reply to your comment on another thread: Re: Error on Updating ESXi 6.0 to 6.7


Forum Usage Guidelines: https://communities.vmware.com/docs/DOC-12286
VMware Training & Certification blog: http://vmwaretraining.blogspot.com
0 Kudos
Highlighted
Contributor
Contributor

Hello,

I am in the same boat. I figured out 2 solutions :

1. Install the latest VMWare workstation version on hyper-v then create ESXi inside. Of course, this is for LAB testing only. In my test case: I tried Windows server 2019 as host OS, then install VMWare workstation 15.5 for the hypervisor to try ESXi 7 as guest os. I also used server 2019 hyper v to host my MCSE lab VMs. Update: you must manually enable hypervisor launch type off/auto in bcdedit to make it compatible with your VMWare workstation or HyperV >>> I prefer the next option to have both HyperV and ESXI running.

2. Buy a network card which compatible to ESXi then pass it through, following this tutorial Passing through devices to Hyper-V VMs by using discrete device assignment | Scripting Blog

Good luck,

Cheers!

Khoi

0 Kudos